#ifndef already_included_gccprefs_hh
#define already_included_gccprefs_hh

inline bool strings_equal(const char* a,const char* b)
{
   return (!strcmp((a),(b))); /* strcmp is ugly as it stands */
}
#define null  ((void*)0)           /* Java-style notation */
#define EXIT_FAILURE	1 /* from stdlib.h */
#define EXIT_SUCCESS	0 /* from stdlib.h */ 
#define ABSTRACT   /* for marking classes as non-instantiable, as with Java */ 
#define FINAL      /* for marking classes as non-extendable, as with Java */
#define INT_MAX 2147483647              /* from limits.h */

// inline int abs(int a)
// {
//    if (a < 0) return -a;
//    else return a;
// }
inline int max(int a,int b) {
   if (a > b) return a;
   else return b;
}

inline int min(int a,int b) {
   if (a < b) return a;
   else return b;
}
#endif /* already_included_gccprefs_hh */
