#ifndef already_included_io_hh
#define already_included_io_hh

#include "gccprefs.hh"
#include <stdio.h>

#define PRINT(x) \
{ cout << #x << " = " << (x) << endl; }

void io_assert(const char* test, const char* file, int line);
#define ASSERT(test) ((test)?0:io_assert(#test,__FILE__,__LINE__))
#if defined(NDEBUG)
#define assert(test) (void)0
#else
#define assert(test) ((test)?0:io_assert(#test,__FILE__,__LINE__))
#endif

#include "writer.hh"
#include "string.hh"
#include "reader.hh"

// extern const char* default_search_path[];
// char* find_file(char* file_name,
//                 const char** search_path = default_search_path);
// char* find_file_maybe(char* file_name,
//                 const char** search_path = default_search_path);

#endif /* already_included_io_hh */
